<template>
  <div>
    <!-- <h1 class="heading">محصولات پنج نوش</h1> -->
    <div class="empty" v-if="products.length === 0">
      <h2 class="empty__title">متاسفانه محصولی برای نمایش وجود ندارد!</h2>
    </div>
    <ProductList :products="products" v-else/>
  </div>
</template>

<script>
import ProductList from "@/components/catalog/ProductList";
import { products } from "@/dummies/data.js";

export default {
  components: {
    ProductList
  },
  async asyncData(context) {
    let products = [];
    await context.store.dispatch('shop/fetchProducts').then(response => {
      products = response.data.data;
    }).catch(error => (console.log(error)));
    return {
      products
    }
  },
  created() {
    this.$store.dispatch('settings/setBackRoute', '');    
  }
};
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.heading
  font-size 3.6rem
  margin-bottom $lg
  color $white
  font-weight 200
  @media only screen and (max-width: 600px)
    font-size 3rem
    margin-bottom $md

.empty
  margin-bottom $sm
  &__title
    color $white
    opacity .75
    text-align center
    @media only screen and (max-width 700px)
      font-size 2rem
      padding $md $xsm
    @media only screen and (max-width 500px)
      font-size 1.8rem
    @media only screen and (max-width 460px)
      font-size 1.6rem
</style>


